Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07839 Gameplay Minor Always Jan 6, 2021, 02:45 Aug 17, 2021, 09:48
Tester Fortuna View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Open OS Windows 10 (64-bit)
Status [?] Assigned Driver vendetta.cpp
Version 0.227 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07839: vendetta and all clones: All demo sequence broken
Description Wait for 1st demo, the enemies are killed and only 1 continue alive, but these 4, only 1 dead and "kill" to the player 2, too happen in every demo play

Affected sets: vendetta, vendettaun, vendettar, vendettaz, vendettan


This was verify with at least 2 videos

Videos:



Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems vendetta and all clones
Attached Files
 
Relationships
related to 06393AssignedKale  vendetta (all versions): Hit boxes for some grounded enemies are incorrect 
Notes
8
User avatar
No.18332
Tafoid
Administrator
Jan 6, 2021, 03:01
Demo play, in many cases, can be modified in behavior by the difficulty settings in a game. Is it possible that this game is using a difficulty that doesn't match whatever is being used in the original PCB video? Has that been checked?
User avatar
No.18333
Fortuna
Tester
Jan 6, 2021, 03:47
This was checked with default settings in every set first (deleted the nvram), next was tested with easy settings and the problem persists

Used the 2nd video shows the 3 demo plays side-by-side, all broken
User avatar
No.18336
MetalGod
Senior Tester
Jan 6, 2021, 11:35
edited on: Jan 6, 2021, 12:44
I've done some deep testing of this bug I can can confirm it has always been there. Tested 0.37b1 and even 0.36b3 when the game was promoted to playable. Also tested intermediate versions, 0.78 , 0.159... Same result.

I've always changed the difficulty to EASY with ALL the versions of the game. Same result.
User avatar
No.18337
MetalGod
Senior Tester
Jan 6, 2021, 12:41
edited on: Jan 6, 2021, 13:35
4-PLAYERS version shows a different attract-mode, but it also has differences.
What makes the difference between MAME and the PCB is that some enemies do not die in MAME atract-mode when they should. For example one enemy after the barrel hit by hulk-hogan-styled- character. But it seems there are also some timing problems.

4 Players version of the game in MAME (normal difficulty)


4 Player version of the game in pcb (difficulty set to NORMAL, this is checked at the beginning of the video)
User avatar
No.18339
MetalGod
Senior Tester
Jan 6, 2021, 12:49
edited on: Jan 6, 2021, 12:59
2-PLAYERS version comparision. Same problem:
What makes the difference between MAME and the PCB is that some enemies do not die in MAME atract-mode when they should. For example one enemy after the barrel hit by hulk-hogan-styled- character. But it seems there are also some timing problems.

2 Players version of the game in MAME


2 Player version of the game in pcb
User avatar
No.18537
MetalGod
Senior Tester
Mar 13, 2021, 09:13
edited on: Mar 13, 2021, 13:06
In the pcb, the barrel hits the ground enemy 3 times while rolling on the floor. It ends up killing the enemy.
In MAME the barrel only hits the enemy 2 times while rolling. That's why the enemy doesn't die.

This is definitely related to 06393
User avatar
No.18788
Fortuna
Tester
May 3, 2021, 07:39
Other note:

Playing with 4 players, in levels with lots enemies (plus items or objects), sometimes has terrible slowdowns with disappear objects (enemies or players)
User avatar
No.18800
Augusto
Tester
May 4, 2021, 05:17
edited on: May 4, 2021, 05:18
@ Fortuna
exactly
That bug happen since before versions from 2010.